/*
**
**   Test of rexxarplib requesters
**
*/

/*
*   First the file requester
*/
say getfile(50,50)
say getfile(50,50,,,"Hello folks")
say getfile(100,50,"ram:",,"hello there")
say getfile(100,50,"ram:",test,"Pattern Gadget (2.0)",,"PATGAD")
say getfile(100,50,"ram:",,"ARP requester",,"DOARP")
say getfile(100,0,"ram:",,"Save Requester (2.0)",,"PATGAD+SAVE",,400,200,"*.txt")
say getfile(100,50,"ram:",,"Multiple Select(2.0)",,"PATGAD+MULTISELECT",mystem)
say mystem.0
do i = 1 to mystem.0
   say mystem.i
end
/*
*   Now the boolean/string requester
*/
say request(25,25,"        A Boolean requester        ",,"Yes","No")
say request(100,50,,,,)
say request(100,50,"This is a test", ,,)
say request(100,50,"This is a test\and this is another line")
say request(100,50,"Here is a string gadget","String gadget")
say request(100,50,"Here is a full requester\line 2\line 3","String","Okay","Cancel")
say request(100,50,"Only String + Cancel is here","String",,"Don't you dare!")
say request(100,50,"Only Okay is here",,"Okay")
say request(100,50,"Only Cancel is here",,,"Cancel")

longstring = ""
longstring = longstring||"request\"
longstring = longstring||"=======\\"
longstring = longstring||"       Calling sequence:\\"
longstring = longstring||"       result = request(x, y, prompts, string, okaytext, canceltext)\"
longstring = longstring||"       x          = x coordinate of top-left corner of requester.\"
longstring = longstring||"       y          = y coordinate of top-left corner of requester.\"
longstring = longstring||"       prompts    = A string which will be displayed above any gadgets.\"
longstring = longstring||"                    Any embedded 'BS' characters will be treated as a line\"
longstring = longstring||"                    break. Up to 9 breaks are supported (10 lines).\"
longstring = longstring||"       string     = The default string to be displayed in a string gadget.\"
longstring = longstring||"                    If omitted, no string gadget will be provided.\"
longstring = longstring||"       okaytext   = The text to be used for an Okay gadget."

say request(0,0,longstring,"This is the longest requester...","Okay","Quit")

longstring = ""
longstring = longstring||"                    If omitted, no string gadget will be provided.\"
longstring = longstring||"       okaytext   = The text to be used for an Okay gadget.\"
longstring = longstring||"                    If omitted, no okay gadget will be provided.\"
longstring = longstring||"       canceltext = The text to be used for a Cancel gadget.\"
longstring = longstring||"                    If omitted, no cancel gadget will be provided."

say request(0,0,longstring,"This is a shorter requester...","Okay","Quit")

/*
*   The font requester
*/
myfont.Name = 'topaz.font'
myfont.YSize = 8
myfont.Style = 0
myfont.Flags = 0
myfont.FrontPen = 1
myfont.BackPen = 0

font = GetFont(400,60,myfont.Name,myfont.YSize,'Test fonts',,             ,
               'STYLE+FRONTPEN+BACKPEN+DRAWMODE',myfont,,,myfont.Style,   ,
               myfont.Flags, myfont.FrontPen, myfont.BackPen)

if font ~= "" then do
   say "Name     " myfont.Name
   say "YSize    " myfont.YSize
   say "Style    " myfont.Style
   say "Flags    " myfont.Flags
   say "Frontpen " myfont.FrontPen
   say "Backpen  " myfont.BackPen
   say "DrawMode " myfont.DrawMode
end
